#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;

#endregion



#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		
		private TradeLikeAProEF.ColorBar[] cacheColorBar;

		
		public TradeLikeAProEF.ColorBar ColorBar(Brush bullishBarColor, Brush bearishBarColor)
		{
			return ColorBar(Input, bullishBarColor, bearishBarColor);
		}


		
		public TradeLikeAProEF.ColorBar ColorBar(ISeries<double> input, Brush bullishBarColor, Brush bearishBarColor)
		{
			if (cacheColorBar != null)
				for (int idx = 0; idx < cacheColorBar.Length; idx++)
					if (cacheColorBar[idx].BullishBarColor == bullishBarColor && cacheColorBar[idx].BearishBarColor == bearishBarColor && cacheColorBar[idx].EqualsInput(input))
						return cacheColorBar[idx];
			return CacheIndicator<TradeLikeAProEF.ColorBar>(new TradeLikeAProEF.ColorBar(){ BullishBarColor = bullishBarColor, BearishBarColor = bearishBarColor }, input, ref cacheColorBar);
		}

	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		
		public Indicators.TradeLikeAProEF.ColorBar ColorBar(Brush bullishBarColor, Brush bearishBarColor)
		{
			return indicator.ColorBar(Input, bullishBarColor, bearishBarColor);
		}


		
		public Indicators.TradeLikeAProEF.ColorBar ColorBar(ISeries<double> input , Brush bullishBarColor, Brush bearishBarColor)
		{
			return indicator.ColorBar(input, bullishBarColor, bearishBarColor);
		}
	
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		
		public Indicators.TradeLikeAProEF.ColorBar ColorBar(Brush bullishBarColor, Brush bearishBarColor)
		{
			return indicator.ColorBar(Input, bullishBarColor, bearishBarColor);
		}


		
		public Indicators.TradeLikeAProEF.ColorBar ColorBar(ISeries<double> input , Brush bullishBarColor, Brush bearishBarColor)
		{
			return indicator.ColorBar(input, bullishBarColor, bearishBarColor);
		}

	}
}

#endregion
